Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-cmake rpm-macros-fedora-compat
BuildRequires: /usr/bin/desktop-file-validate gcc-c++ libgtest-devel
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name: plug
Version: 1.4.3
Release: alt1_4
Summary: Linux software for Fender Mustang amplifiers
License: GPL-3.0-or-later
Url: https://github.com/offa/plug

Source0: https://github.com/offa/plug/archive/v%{version}/%{name}-%{version}.tar.gz

Patch0: fix_gcc_13_ftbfs.patch

BuildRequires: ctest cmake
BuildRequires: rpm-macros-systemd
BuildRequires: pkgconfig(Qt5Gui)
BuildRequires: pkgconfig(Qt5Widgets)
BuildRequires: pkgconfig(Qt5Network)
BuildRequires: pkgconfig(libusb-1.0)
BuildRequires: desktop-file-utils
# For unittests.
BuildRequires: libgmock-devel
Source44: import.info

%description
Linux replacement for Fender FUSE software for Mustang amps.

%prep
%setup -q -n %{name}-%{version}
%patch0


# Fix udev rules.
sed -e 's/GROUP="plugdev"/TAG+="uaccess"/g' -i cmake/50-mustang.rules

%build
%{fedora_v2_cmake} \
    -DPLUG_DESKTOP_PATH=%{_datadir}/applications/ \
    -DPLUG_UDEV_RULE_PATH=%{_udevrulesdir} \
    -DBUILD_SHARED_LIBS:BOOL=OFF

%fedora_v2_cmake_build

%install
%fedora_v2_cmake_install

desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop

# Remove unwanted files.
rm -rf %{buildroot}%{_datadir}/plug

%check
make unittest -C %__cmake_builddir

%files
%doc README.md
%doc --no-dereference LICENSE
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_udevrulesdir}/50-mustang.rules

%changelog
* Thu Aug 31 2023 Igor Vlasenko <viy@altlinux.org> 1.4.3-alt1_4
- update to new release by fcimport

* Wed Feb 22 2023 Igor Vlasenko <viy@altlinux.org> 1.4.3-alt1_3
- update to new release by fcimport

* Sun Aug 07 2022 Igor Vlasenko <viy@altlinux.org> 1.4.2-alt1_4
- update to new release by fcimport

* Wed Oct 13 2021 Igor Vlasenko <viy@altlinux.org> 1.4.2-alt1_2
- update to new release by fcimport

* Wed Mar 17 2021 Igor Vlasenko <viy@altlinux.org> 1.2.1-alt2_7
- update to new release by fcimport

* Wed Jan 27 2021 Igor Vlasenko <viy@altlinux.ru> 1.2.1-alt2_6
- update to new release by fcimport

* Wed Sep 02 2020 Igor Vlasenko <viy@altlinux.ru> 1.2.1-alt1_6
- update to new release by fcimport

* Thu Mar 05 2020 Igor Vlasenko <viy@altlinux.ru> 1.2.1-alt1_4
- update to new release by fcimport

* Mon Sep 30 2019 Igor Vlasenko <viy@altlinux.ru> 1.2.1-alt1_3
- new version

